aboutsummaryrefslogtreecommitdiff
path: root/package/efivar/Config.in
blob: 0fa9adf3873db191f62e163508b723426ee209bd (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
config BR2_PACKAGE_EFIVAR_ARCH_SUPPORTS
	bool
	default y
	depends on BR2_arm || BR2_aarch64 || BR2_i386 || BR2_x86_64 \
		|| BR2_powerpc64le || BR2_mipsel || BR2_mips64el

config BR2_PACKAGE_EFIVAR
	bool "efivar"
	depends on BR2_PACKAGE_EFIVAR_ARCH_SUPPORTS
	depends on !BR2_STATIC_LIBS # dlfcn.h
	depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_12 # linux/nvme.h
	# linux/nvme.h has been renamed to linux/nvme_ioctl.h since 4.4,
	# and the efivar source handles that situation. However, some
	# Sourcery CodeBench toolchains use 4.4 kernel headers but they
	# don't have that header file renamed, and that is causing build
	# failures. So, prevent this package to be built using those
	# toolchains.
	depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_MIPS
	# doesn't build with musl due to lack of __bswap_constant_16
	depends on !BR2_TOOLCHAIN_USES_MUSL
	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9
	select BR2_PACKAGE_POPT
	help
	  Tools and libraries to manipulate EFI variables

	  https://github.com/rhinstaller/efivar

comment "efivar needs a glibc or uClibc toolchain w/ dynamic library, headers >= 3.12, gcc >= 4.9"
	depends on BR2_PACKAGE_EFIVAR_ARCH_SUPPORTS
	depends on BR2_STATIC_LIBS || \
		!BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_12 || \
		BR2_TOOLCHAIN_USES_MUSL || \
		!BR2_TOOLCHAIN_GCC_AT_LEAST_4_9
	depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_MIPS